Bug 173821 - XMLRPC returned dates are inconsistent
XMLRPC returned dates are inconsistent
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-11-21 11:30 EST by Mark J. Cox (Product Security)
Modified: 2013-06-23 23:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-01 11:38:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-11-21 11:30:25 EST
The XMLRPC interface has an 'opendate' column, but the data returned in this
column is dependant on the date of the query.  For example for bugs opened more
than a week ago the format will be "yyyy-mm-dd" but for ones in the last week
you get for example "Wed 09:36".

Please make opendate return a consistent date, either simply in the yyyy-mm-dd
format for all bugs, or yyyy-mm-dd with the addition of a timestamp (UTC perhaps)

We need this for some internal KPI tracking tools.
Comment 1 David Lawrence 2008-09-16 12:54:00 EDT
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.
Comment 2 David Lawrence 2008-12-01 11:38:07 EST
This is fixed in current release of Bugzilla 3.2.

Note You need to log in before you can comment on or make changes to this bug.